[![Build Status](https://secure.travis-ci.org/sebastian-software/jasy.png)](http://travis-ci.org/sebastian-software/jasy)

[![Bitdeli Badge](https://d2weczhvl823v0.cloudfront.net/sebastian-software/jasy/trend.png)](https://bitdeli.com/free "Bitdeli Badge")


Jasy - Web Tooling Framework
============================

Jasy is a powerful Python3-based tooling framework. It makes it 
easy to manage heavy web projects. Its main goal is to offer 
an API which could be used by developers to write their custom 
build/deployment scripts.


## Installation

For details have a look at [the official documentation](https://github.com/sebastian-software/jasy/wiki).

## Documentation

* [Documentation](http://github.com/sebastian-software/jasy/wiki)
* API Reference: [ReadTheDocs](https://readthedocs.org/projects/jasy/) or [Python.org](http://packages.python.org/jasy/)

## QuickStart

* [Jasy Boilerplate Skeleton](https://github.com/sebastian-software/jasy-html5-boilerplate) with [QuickStart guide](https://github.com/zynga/jasy-html5-boilerplate/wiki/QuickStart) for beginners
* [Core Skeleton](https://github.com/sebastian-software/core): Lightweight skeleton for using Jasy, Core and Api Browser with a set of pre-defined tasks.

## Related

* [Core](http://github.com/sebastian-software/core): Core Library for JavaScript projects. Ideal JS counterpart to Jasy.
* [Jasy Compat](http://github.com/sebastian-software/jasy-compat): Showing how to integrate other JavaScript libraries into Jasy workflow
* [Jasy Locale](https://github.com/sebastian-software/jasy-locale): Demonstrating locale and translation support in Jasy/Core.
 
## Test Skeletons

* [Jasy Skeleton](http://github.com/sebastian-software/jasy-skeleton): Test skeletons for Jasy using different "jasy create" aspects
* [Jasy Top Level Skeleton](https://github.com/sebastian-software/jasy-toplevelskeleton): Demonstrating how a standalone skeleton might look like.

## License

Copyright (c) 2011-2012 Zynga Inc. http://zynga.com/
Copyright (c) 2012-2013 Sebastian Werner http://sebastian-werner.com

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the
"Software"), to deal in the Software without restriction, including
without limitation the rights to use, copy, modify, merge, publish,
distribute, sublicense, and/or sell copies of the Software, and to
permit persons to whom the Software is furnished to do so, subject to
the following conditions:

The above copyright notice and this permission notice shall be
included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
